## org.eclipse.m2m.atl.engine.ocl
Class OclQuery

    java.lang.Object
      org.eclipse.m2m.atl.engine.ocl.OclEvaluator
          org.eclipse.m2m.atl.engine.ocl.OclQuery

    public class OclQuery

extends OclEvaluator

The Ocl query management class.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.engine.ocl.OclEvaluator
`pbs`

Constructor Summary
`OclQuery(java.lang.String query)` Constructor.

Method Summary
`org.eclipse.emf.ecore.EObject[]` `compile()` Compiles the given query.
`java.lang.Object` `eval()` Returns the current query evaluation result.
`java.lang.Object` `eval(java.util.Map models)` Evaluates the current query and returns the result.
`java.lang.Object` `eval(java.util.Map models, java.util.Map libraries)` Evaluates the current query and returns the result.
`static java.lang.Object` `eval(java.lang.String query)` Evaluates a given query.
`static java.lang.Object` `eval(java.lang.String query, java.util.Map models)` Evaluates a given query.

Methods inherited from class org.eclipse.m2m.atl.engine.ocl.OclEvaluator
`compile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OclQuery

    public OclQuery(java.lang.String query)

  Constructor.

  Parameters:
    `query` - the query to manage

Method Detail

### eval

    public static java.lang.Object eval(java.lang.String query)
                                 throws java.lang.Exception

  Evaluates a given query.

  Parameters:
    `query` - the query to evaluate
  Returns:
    the query result
  Throws:
    `java.lang.Exception`

### eval

    public static java.lang.Object eval(java.lang.String query,
                                        java.util.Map models)
                                 throws java.lang.Exception

  Evaluates a given query.

  Parameters:
    `query` - the query to evaluate
    `models` - the models map
  Returns:
    the result
  Throws:
    `java.lang.Exception`

### compile

    public org.eclipse.emf.ecore.EObject[] compile()
                                            throws java.lang.Exception

  Compiles the given query.

  Returns:
    the compiled query
  Throws:
    `java.lang.Exception`

### eval

    public java.lang.Object eval()
                          throws java.lang.Exception

  Returns the current query evaluation result.

  Returns:
    the current query evaluation result
  Throws:
    `java.lang.Exception`

### eval

    public java.lang.Object eval(java.util.Map models)
                          throws java.lang.Exception

  Evaluates the current query and returns the result.

  Parameters:
    `models` - the models map
  Returns:
    the result
  Throws:
    `java.lang.Exception`

### eval

    public java.lang.Object eval(java.util.Map models,
                                 java.util.Map libraries)
                          throws java.lang.Exception

  Evaluates the current query and returns the result.

  Parameters:
    `models` - the models map
    `libraries` - the libraries map
  Returns:
    the result
  Throws:
    `java.lang.Exception`

Copyright 2007 IBM Corporation and others. All Rights Reserved.